Bug 61877 - [maintainer update] enhance bsd.sdl.mk with WANT_SDL
[maintainer update] enhance bsd.sdl.mk with WANT_SDL
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-25 12:20 UTC by edwin
Modified: 2004-02-04 05:36 UTC (History)
0 users

See Also:


Attachments
file.diff (710 bytes, patch)
2004-01-25 12:20 UTC, edwin
no flags Details | Diff
file.diff (3.39 KB, patch)
2004-01-25 12:20 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2004-01-25 12:20:14 UTC
Certain ports like to check for the availability of SDL libraries
before including them, for example multimedia/mjpegtools.

Fix: Just like bsd.gnome.mk has WANT_GNOME, introduce a WANT_SDL. It
will return a list of all available SDL libraries. Then the port
modify USE_SDL where needed.

For example for multimedia/mjpegtools, the makefile should have be
changed to:

See. No more evil version numbers.

This is the patch to bsd.port.mk and bsd.sdl.mk:
Comment 1 Edwin Groothuis freebsd_committer 2004-01-25 12:24:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr for approval for bsd.port.mk changes.
Comment 2 edwin 2004-01-30 20:59:44 UTC
These patches are to make the inclusion of bsd.sdl.mk in Mk/bsd.port.mk
compatible with kris@'s new optimised bsd.port.mk style.

Index: bsd.port.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.port.mk,v
retrieving revision 1.483
diff -u -r1.483 bsd.port.mk
--- bsd.port.mk	24 Jan 2004 01:26:30 -0000	1.483
+++ bsd.port.mk	30 Jan 2004 20:54:32 -0000
@@ -362,6 +362,7 @@
 #			  Used only when USE_MOTIF is set.  Implies
 #			  NO_OPENMOTIF.
 # USE_SDL		- Says that the port uses the sdl libraries.
+#				  See bsd.sdl.mk for more information.
 # USE_XPM		- Says that the port uses the xpm graphics libraries.
 ##
 # USE_OPENSSL	- Says that the port relies on the OpenSSL package.
@@ -1214,6 +1215,9 @@
 .endif
 
 .include "${PORTSDIR}/Mk/bsd.gnome.mk"
+.if defined(USE_SDL) || defined(WANT_SDL)
+.include "${PORTSDIR}/Mk/bsd.sdl.mk"
+.endif
 
 # defaults to 4.x for 5.0-CURRENT and 4.5-STABLE; and 3.3.6 for all other branches
 .if ${OSVERSION} > 500025 || ( ${OSVERSION} >= 450005 && ${OSVERSION} < 500000 )
@@ -1623,10 +1627,6 @@
 RUN_DEPENDS+=	${LINUXBASE}/etc/redhat-release:${PORTSDIR}/emulators/linux_base
 .endif
 
-.if defined(USE_SDL)
-.include "${PORTSDIR}/Mk/bsd.sdl.mk"
-.endif
-
 .if defined(USE_MOTIF)
 USE_XPM=			yes
 .if defined(WANT_LESSTIF)
@@ -1757,6 +1757,9 @@
 .endif
 
 .include "${PORTSDIR}/Mk/bsd.gnome.mk"
+.if defined(USE_SDL) || defined(WANT_SDL)
+.include "${PORTSDIR}/Mk/bsd.sdl.mk"
+.endif
 
 .if defined(USE_PYTHON)
 .include "${PORTSDIR}/Mk/bsd.python.mk"

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 3 Joe Marcus Clarke freebsd_committer 2004-01-31 07:10:33 UTC
State Changed
From-To: open->analyzed

This is currently being tested on bento.
Comment 4 Joe Marcus Clarke freebsd_committer 2004-02-04 05:35:56 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!